#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	File
%define		pnam	Flat
Summary:	File::Flat - implements a flat filesystem
Summary(pl.UTF-8):	File::Flat - implementacja płaskiego systemu plików
Name:		perl-File-Flat
Version:	1.07
Release:	1
# "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e58179a4cc6d8fdacaa8e5224b3414d
URL:		https://metacpan.org/release/File-Flat
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(File::Spec) >= 0.85
BuildRequires:	perl-File-Copy-Recursive >= 0.35
BuildRequires:	perl-File-Remove >= 0.38
BuildRequires:	perl-File-Temp >= 0.17
BuildRequires:	perl-Test-ClassAPI >= 1.04
BuildRequires:	perl-Test-Simple >= 0.47
BuildRequires:	perl-prefork >= 0.02
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Flat implements a flat filesystem. A flat filesystem is a
filesystem in which directories do not exist. It provides an
abstraction over any normal filesystem which makes it appear as if
directories do not exist. In effect, it will automatically create
directories as needed. This is created for things like install scripts
and such, as you never need to worry about the existance of
directories, just write to a file, no matter where it is.

%description -l pl.UTF-8
File::Flat implementuje płaski system plików. Płaski system plików to
taki, w którym nie istnieją katalogi. Moduł udostępnia abstrakcję
ponad każdym normalnym systemem plików, powodującą, że zachowuje się,
jakby katalogi nie istniały. W efekcie automatycznie tworzy wszystkie
potrzebne katalogi. Służy do rzeczy takich jak skrypty instalacyjne i
inne, żeby nie trzeba było się martwić o istnienie katalogów -
wystarczy po prostu pisać do pliku, nie ważne gdzie on jest.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Flat.pm
%{_mandir}/man3/File::Flat.3pm*
%changelog
* Wed May 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Flat.git;a=log;h=master

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 790cf09
- updated to 1.07

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b0af17c
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b90fd8f
- updated BRs

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 5278e56
- updated to 1.04

* Tue Dec 25 2007 Maciej Pijanka <agaran@pld-linux.org> b3dea81
- just comment on buildreq's

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> f5295b4
- up to 1.02

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> b623f90
- updated to 1.00

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 8c2f4d0
- BR perl-File-Slurp when with tests

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9a67918
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 083076e
- converted to UTF-8

* Thu Aug 24 2006 radek <radek@pld-linux.org> 659906a
- BR: perl-prefork for tests

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> d8496e0
- pl

* Sat Jul 29 2006 Maciej Pijanka <agaran@pld-linux.org> 9f5592e
- initial, 0.96 rel 0.1, builds here, am bit curious if it really need perl(prefork)

